Bug 443621 - Undoing layer styles on groups crashes krita
Summary: Undoing layer styles on groups crashes krita
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: layer styles (show other bugs)
Version: 5.0.0-beta1
Platform: Ubuntu Packages Linux
: NOR crash
Target Milestone: ---
Assignee: Dmitry Kazakov
URL:
Keywords: regression, release_blocker
Depends on:
Blocks:
 
Reported: 2021-10-12 01:19 UTC by arturvnasc
Modified: 2021-11-17 14:01 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Contents of "Show krita log for bug reports" (42 bytes, text/plain)
2021-10-12 01:19 UTC, arturvnasc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description arturvnasc 2021-10-12 01:19:37 UTC
Created attachment 142350 [details]
Contents of "Show krita log for bug reports"

SUMMARY
On any document, trying to undo a layer style change on a group layer crashes krita.
This doesn't happen with paint layers, only with groups.

STEPS TO REPRODUCE
1. Create a new document 
2. Ctrl+G (quick group) the background layer (or any set of layers) 
3. Apply any layer style to the group
4. Try to undo the style change

OBSERVED RESULT
Krita crashes.

EXPECTED RESULT
Krita should've undone the layer style change, 

SOFTWARE/OS VERSIONS

System info -> https://pastebin.com/xggiJQci

ADDITIONAL INFORMATION

I can make strokes and undo them with no issues in the grouped paint layer, but when i undo the style change, it crashes.
Comment 1 Dmitry Kazakov 2021-10-12 05:38:58 UTC
Hi, Arturvnasc!

Thank you for the report! I can reproduce the issue locally, so confirming.
Comment 2 Dmitry Kazakov 2021-10-12 05:42:27 UTC
This bug will be fixed by this MR when it is merged:

https://invent.kde.org/graphics/krita/-/merge_requests/1089
Comment 3 arturvnasc 2021-10-12 08:52:00 UTC
(In reply to Dmitry Kazakov from comment #2)
> This bug will be fixed by this MR when it is merged:
> 
> https://invent.kde.org/graphics/krita/-/merge_requests/1089

Happy to know that! thanks
Comment 4 arturvnasc 2021-10-27 16:06:12 UTC
Hello, doing as tiar said on KA in this thread https://krita-artists.org/t/undoing-layer-styles-crashes-krita/30285?u=egide_thesergal

i downloaded krita plus ( 5.0.0 b2 git 7e93354). krita still crashes when i follow the same steps as the bug report.
the same happens with krita next (5.1.0 pre-alpha git e2a04dd).

contents of “show krita log for bug reports”:
https://pastebin.com/ShR6qF8Q
Comment 5 Dmitry Kazakov 2021-11-15 13:52:57 UTC
Git commit 75bbbf6912b4d3018109a61b3231e3bdfc36d646 by Dmitry Kazakov.
Committed on 15/11/2021 at 13:52.
Pushed by dkazakov into branch 'master'.

Make sure that layer's styles have proper resources interface set

M  +1    -1    libs/image/kis_layer.cc
M  +3    -2    libs/ui/kis_layer_manager.cc
M  +1    -1    plugins/impex/libkra/kis_kra_loader.cpp

https://invent.kde.org/graphics/krita/commit/75bbbf6912b4d3018109a61b3231e3bdfc36d646
Comment 6 Dmitry Kazakov 2021-11-17 14:01:42 UTC
Git commit 2123a1115c34e7f6e1cb4d21a3fd1c4dc577e29f by Dmitry Kazakov.
Committed on 17/11/2021 at 13:47.
Pushed by dkazakov into branch 'krita/5.0'.

Make sure that layer's styles have proper resources interface set

# Conflicts:
#	libs/ui/kis_layer_manager.cc

M  +1    -1    libs/image/kis_layer.cc
M  +2    -1    libs/ui/kis_layer_manager.cc
M  +1    -1    plugins/impex/libkra/kis_kra_loader.cpp

https://invent.kde.org/graphics/krita/commit/2123a1115c34e7f6e1cb4d21a3fd1c4dc577e29f